function [ml] = bl2ml_bs(bl, nm_nodes, nm_labels)

% function [ml] = bl2ml_bs(bl, nm_nodes, nm_labels<optional>)
%
% Function converts boolean labelling of a battleship transformation to the equivalent multilabel
% labelling.
%
% 
% Dhruv Batra (batradhruv -at- cmu.edu)
% Created: 08/18/2009

if ~exist('nm_labels','var') || isempty(nm_labels)
    nm_labels = length(bl)/nm_nodes+1;
end

if ((nm_labels-1)*nm_nodes)~= length(bl)
  error('Incorrect size');
end

ml = zeros(nm_nodes,1);
inds = 1:(nm_labels-1);
for i=1:nm_nodes
  ml(i) = sum(bl( (i-1)*(nm_labels-1)+inds ));
end
  
  